Name:          libmygpo-qt
Version:       1.0.8
Release:       1mamba
Summary:       A library supporting gpodder.net Podcast Directory
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://wiki.gpodder.org/wiki/Libmygpo-qt
Source:        http://stefan.derkits.at/files/libmygpo-qt/libmygpo-qt.%{version}.tar.gz
Patch0:        libmygpo-qt-1.0.8-pkgconfig.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqjson-devel
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Provides:      libmyqpo-qt
Obsoletes:     libmyqpo-qt
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A library supporting gpodder.net Podcast Directory.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libmyqpo-qt-devel
Obsoletes:     libmyqpo-qt-devel

%description devel
A library supporting gpodder.net Podcast Directory.
This package contains static libraries and header files need for development.

%prep
%setup -q -n %{name}.%{version}
%patch0 -p1

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libmygpo-qt.so.*
%doc AUTHORS LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/mygpo-qt
%{_includedir}/mygpo-qt/*.h
%{_libdir}/libmygpo-qt.so
%{_libdir}/pkgconfig/libmygpo-qt.pc
%dir %{_libdir}/cmake/mygpo-qt
%{_libdir}/cmake/mygpo-qt/Mygpo-qt*.cmake
%doc README

%changelog
* Sun Aug 31 2014 Automatic Build System <autodist@mambasoft.it> 1.0.8-1mamba
- automatic version update by autodist

* Sat Oct 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.7-2mamba
- fix include dir in pkgconfig file

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic version update by autodist

* Sun Oct 14 2012 Davide Madrisan <davide.madrisan@gmail.com> 1.0.6-1mamba
- update to 1.0.6

* Mon Jan 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.5-1mamba
- update to 1.0.5

* Tue Sep 20 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1mamba
- package created by autospec
